# Conversation API - Batch API | Sinch

Perform batch operations on select Conversation API resources.

Version: 1.0
License: MIT

## Servers

[object Object]
```
https://{region}.conversationbatch.api.sinch.com
```

Variables:
- `region`
  Default: "us"
  Enum: "us", "eu", "br"

## Security

### BearerAuth

[object Object]

Type: http
Scheme: bearer

## Download OpenAPI description

 - [Conversation API - Batch API | Sinch](https://developers.sinch.com/_bundle/docs/conversation/api-reference/batch-api/batch.yaml)

## Messages

 - [POST /v1/projects/{project_id}/messages](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/messages/batch_sendbatch.md): Send a message to multiple recipients. Parameter variables can be included in all string fields and customized with recipient specific values. Each recipient in the request will generate a message and
 - [DELETE /v1/projects/{project_id}/messages](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/messages/batch_cancelbatch.md): Cancel one or more scheduled message batches by ID or by batch metadata. If using metadata, all batches matching the given key and value will be cancelled. To successfully cancel a batch, you must do
 - [GET /v1/projects/{project_id}/messages](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/messages/batch_getbatchstatusesbymetadata.md): Retrive the status of batches that match the metadata provided.
 - [GET /v1/projects/{project_id}/messages/{batch_id}](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/messages/batch_getbatchstatus.md): Retrieve the status of a batch of messages by its unique batch ID.
## Contacts

 - [POST /v1/projects/{project_id}/contacts](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/contacts/batch_createcontacts.md): Creates a batch of up to 1000 contacts as specified by the list of contacts. The contacts are created asynchronously. A `CONTACT_CREATE` event will be generated for every successfully created contact.
 - [DELETE /v1/projects/{project_id}/contacts](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/contacts/batch_deletecontacts.md): Deletes a batch of up to 1000 contacts as specified by the list of contact IDs. The contacts are deleted asynchronously. A `CONTACT_DELETE` event will be generated for every successfully deleted conta
## Consents

 - [POST /v1/projects/{project_id}/consents](https://developers.sinch.com/docs/conversation/api-reference/batch-api/batch/consents/batch_insertconsents.md): Insert consent records for multiple identifications in a single request. If the request fails, none or only some of the records may be inserted. Retry the batch later to try again.
